<html>
<head>
<title>OGRE: OgreDynLib.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreDynLib.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>

<p>
<a href="OgreDynLib_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DynLib.html">Ogre::DynLib</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> holding data about a dynamic library.  <a href="classOgre_1_1DynLib.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#72233679ad2f01755e375b6fcbf8cfdb">DYNLIB_HANDLE</a>&nbsp;&nbsp;&nbsp;void*</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#134d80db854047b000a6a3d5dc023bcc">DYNLIB_LOAD</a>(a)&nbsp;&nbsp;&nbsp;dlopen( a, RTLD_LAZY | RTLD_GLOBAL)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#611f8319ce7e78bfb274017c2b53a81b">DYNLIB_GETSYM</a>(a, b)&nbsp;&nbsp;&nbsp;dlsym( a, b )</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#ea4c10bca1e97e459d97b4c9b7aee51a">DYNLIB_UNLOAD</a>(a)&nbsp;&nbsp;&nbsp;dlclose( a )</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="611f8319ce7e78bfb274017c2b53a81b"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_GETSYM" ref="611f8319ce7e78bfb274017c2b53a81b" args="(a, b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNLIB_GETSYM          </td>
          <td>(</td>
          <td class="paramtype">a,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;dlsym( a, b )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDynLib_8h-source.html#l00046">46</a> of file <a class="el" href="OgreDynLib_8h-source.html">OgreDynLib.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="72233679ad2f01755e375b6fcbf8cfdb"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_HANDLE" ref="72233679ad2f01755e375b6fcbf8cfdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNLIB_HANDLE&nbsp;&nbsp;&nbsp;void*          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDynLib_8h-source.html#l00044">44</a> of file <a class="el" href="OgreDynLib_8h-source.html">OgreDynLib.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="134d80db854047b000a6a3d5dc023bcc"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_LOAD" ref="134d80db854047b000a6a3d5dc023bcc" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNLIB_LOAD          </td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;dlopen( a, RTLD_LAZY | RTLD_GLOBAL)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDynLib_8h-source.html#l00045">45</a> of file <a class="el" href="OgreDynLib_8h-source.html">OgreDynLib.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea4c10bca1e97e459d97b4c9b7aee51a"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_UNLOAD" ref="ea4c10bca1e97e459d97b4c9b7aee51a" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DYNLIB_UNLOAD          </td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;dlclose( a )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDynLib_8h-source.html#l00047">47</a> of file <a class="el" href="OgreDynLib_8h-source.html">OgreDynLib.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
